.\"===============================================================
.\"
.\" nc-html2latex.man  (/usr/man/man1/nc-html2latex.1) 
.\"   -- 'naochan.com' version of <html2latex>, Version 0.97
.\"
.\"                                                 Jun   4 1997
.\"---------------------------------------------------------------
.TH NC-HTML2LATEX 1 "4 JUN 1997" Linux "'naochan.com' presents"
.\"===============================================================

.\"------
.SH NAME
.\"------
nc\-html2latex \- An Implementation of \fIreally practical and usable\fP html2latex

.\"----------
.SH SYNOPSIS
.\"----------
.B nc\-html2latex
[ \-fgjdv ][ \-o 
.I file
][ \-b
.I base\-URL
]
.I URL

.\"-------------
.SH DESCRIPTION
.\"-------------

.B nc\-html2latex 
is written (or now being written) on trial to implement 
a \fIreally practical and usable\fP html2latex.

I wrote whole of this system by yacc, lex, and C language from nothingness.
I also wrote LaTeX cording sections.

After
.B nc\-html2latex
version 0.92, I used Berkeley version of \fIyacc\fP(1).

I mean to make a software that reads a URL specified in 
its argument (like \fIlynx\fP(1)), and output the web page in LaTeX-formatted 
document style.

On current stage, 'Kanji Auto Detecting' is not available.
If you want to read a non-EUC Japanese HTML document,
please use with some Kanji-code converter, such as \fInkf\fP(1).

.\"---------
.SH OPTIONS
.\"---------

.TP
.B \-f
Include the URL-informations specified in <A HREF="..."> into \\footnote.
.TP
.B \-g
Utilise \fIepsbox.sty\fP to paste GIF images into the document.
*NB* Within <PRE>...</PRE>, \fBnc\-html2latex\fP cannot paste images, because 
\fIepsbox.sty\fP conflicts against verbatim (alltt) environments.
.TP
.B \-j
Japanese EUC mode (use jreport.sty in LaTeX).
.TP
.BI "\-o " filename
Output the LaTeX-formatted document into a file
.I filename
\.
.TP
.BI "\-b " base\-URL
When processing your HTML file in hand (not from HTTP access),
you can specify the URL (that the HTML has to be) as
.I base-URL
in order to enable relative URL definition in <A HREF="..."> tags.
.TP
.B \-d
Output debug messages to your standard error output (stderr).
.TP
.B \-v
Show the version number of this instance of
.B nc\-html2latex
and quit.

.\"-----------------------------
.SH RECOGNIZABLE TAGS & OPTIONS
.\"-----------------------------

.TP
.B Basic Set
.PD
.RS
.ta 16
.ie n .TP 27
.el .TP 10
<HTML> 
.PD 0
.TP
<HEAD> <TITLE> <BODY>
.TP
<BR> <NOBR> <WBR>
.TP
<HR> ..................... WIDTH, SIZE, ALIGN
.TP
<IMG> .................... SRC, ALT
.PD
.RE
.TP
.B Paragraph, Anchor, etc.
.PD
.RS
.ta 16
.ie n .TP 27
.el .TP 10
<H1> <H2> <H3> <H4> <H5> <H6>
.PD 0
.TP
<A> ...................... HREF, NAME
.TP
<CENTER> 
.TP
<P> </P>
.TP
<BLOCKQUOTE> <BQ>
.TP
<ADDRESS>
.PD
.RE
.TP
.B Character Attribute
.PD
.RS
.ta 16
.ie n .TP 27
.el .TP 10
<FONT> ................... SIZE
.PD 0
.TP
<BIG> <SMALL>
.TP
<EM> <STRONG> <CODE> <SAMP> 
.TP
<KBD> <VAR> <CITE> <DFN> 
.TP
<B> <I> <U> <TT>
.TP
<PRE> 
.PD
.RE
.TP
.B Tabular Environment
.PD
.RS
.ta 16
.ie n .TP 27
.el .TP 10
<TABLE> .................. BORDER
.PD 0
.TP
<CAPTION>
.TP
<TR>
.TP
<TH> <TD> ................ COLSPAN, ROWSPAN, ALIGN, (VALIGN)
.PD
.RE
.TP
.B Listings
.PD
.RS
.ta 16
.ie n .TP 27
.el .TP 10
<OL> ..................... TYPE, START
.PD 0
.TP
<UL> ..................... TYPE
.TP
<LI> <DL> <DT> <DD>
.TP
<MENU> <DIR>
.PD
.RE
.TP
.B Forms
.PD
.RS
.ta 16
.ie n .TP 27
.el .TP 10
<FORM> 
.PD 0
.TP
<INPUT> .................. TYPE (text, radio, checkbox, submit, reset, hidden), VALUE, SIZE, CHECKED
.TP
<SELECT> 
.TP
<OPTION> 
.TP
<TEXTAREA> ................ (NAME), COLS, ROWS
.PD
.RE
.TP
.B Comments
.PD
.RS
.ta 16
.ie n .TP 15
.el .TP 10
<!-- -->
.PD 0
.TP
<!- ->
.PD
.RE
.TP
.B &xxx;-type Escape Sequences
.PD
.RS
.ta 16
.ie n .TP 15
.el .TP 10
Almost all, from &lt; &gt; &amp; to &ensp; &emsp; &nbsp; &endash; &emdash; in HTML 3.0. 
.PD 0
.TP
(In current version, they are invalid within <INPUT TYPE="TEXT">.)
.PD
.RE
.TP
.B Recognizes Its Name Only
.PD
.RS
.ta 16
.ie n .TP 15
.el .TP 10
<ISINDEX> <BASEFONT> <SCRIPT> <BLINK>
.PD
.RE

.\"---------------------
.SH TAGS NOT RECOGNIZED
.\"---------------------
.PD
.RS
.ta 7
.ie n .TP 15
.el .TP 10
<BASE> <NEXTID>
.PD 0
.TP
Attributed <P>...</P>
.TP
any non-GIF images, such as JPEG, XBM, etc.
.TP
&xxx;-type escape sequences within <INPUT TYPE="TEXT">
.TP
around FRAMEs
.PD
.RE

.\"----------
.SH EXAMPLES
.\"----------

Basically,
.IP
% nc\-html2latex http://www.naochan.com/
.LP
lets \fBnc\-html2latex\fP fetch a HTML from the specified URL 
(in this case, my top page), convert it to LaTeX format, and then 
it comes out to your standard output.
.IP
% nc\-html2latex -o naochan.tex http://www.naochan.com/
.LP
outputs into a file \fInaochan.tex\fP, not to stdout.

If you already have the HTML file (eg. naochan.html)
.IP
% nc\-html2latex -o naochan.tex < naochan.html
.LP
uses HTML data from the standard input (not the specified URL).

If you want to handle non-EUC Japanese texts, insert some 
Kanji-code converter like this:
.IP
% nkf -e < naochan.html | nc\-html2latex > naochan.tex
.LP
If you don't have the HTML file, do with the attached utility, \fIgethtml\fP,
.IP
% gethtml http://www.naochan.com/ | nkf -e \\
    | nc\-html2latex >naochan.tex
.LP
and you will get what you wanted.

.\"----------------------------
.SH AND ALSO THE GIF IMAGES...
.\"----------------------------

When the HTML includes GIF images, you can use \fI\-g\fP options like:
.IP
% nc\-html2latex -g http://www.naochan.com/
.LP
to paste those images by using \fInetpbm\fP and \fIepsbox.sty\fP, as far as
possible. (in current version, those image files are saved in /tmp/ directory.)

If you want (again) to handle non-EUC Japanese texts, insert some 
Kanji-code converter like this:
.IP
% nkf -e < naochan.html \\
    | nc\-html2latex -b http://www.naochan.com/ \\
    > naochan.tex
.LP
sets base URL (for relative URL definition in <A HREF="...">) by 
\fI\-b\fP option, and convert \fInaochan.html\fP into \fInaochan.tex\fP.

The ultimate form to manage Japanese HTMLs is:
.IP
% gethtml http://www.naochan.com/ | nkf -e \\
    | nc\-html2latex -b http://www.naochan.com/ -g \\
             -o naochan.tex
.LP
By these commands, \fBnc\-html2latex\fP fetches a home page from specified URL
(http://www.naochan.com/), and coerce any Kanji-codes in HTML into 
\fBnc\-html2latex\fP-processable code, and convert it into LaTeX format, and
save it into the file \fInaochan.tex\fP successfully.
Since I often use these command, I make it a script \fIh2l\fP.
.IP
% h2l http://www.naochan.com/
.LP
makes LaTeX file \fIh2l.tex\fP directly. If you set anything as 
the 2nd argument of \fIh2l\fP like:
.IP
% h2l http://www.naochan.com/ -v
.LP
\fIh2l\fP automatically calls \fIjlatex\fP(1) and \fIdviout\fP(1), 
to preview the result.
(*NB* when HTML contains some GIF images, \fIdviout\fP runs slowly.)

.\"-----------------------
.SH SOFTWARE REQUIREMENTS
.\"-----------------------
Of course you must have the LaTeX typesetting system.
And prepare some style files following:
.PD
.RS
.ta 16
.ie n .TP 15
.el .TP 15
- a4.sty     (a4j.sty in Japanese mode)
.PD 0
.TP
- epsbox.sty
.TP
- nc\-html2latex.sty (attached with \fBnc\-html2latex\fP)
.PD
.RE

In order to handle some GIF images (-g), 
\fIgiftopnm\fP(1) and \fIpnmtops\fP(1) (in \fInetpbm\fP tools) are needed.

To preview the GIF-involved result, you need the TeX(dvi) preview system,
\fIdviout\fP(1) version 2.39 or later (in Linux JE, etc.).

To print, you need either \fIdviprt\fP(1) version 2.39 (normal printer), 
or \fIjdvi2kps\fP(1) (PostScript printer). They are in Linux JE, etc.

This version of 
.B nc\-html2latex
doesn't have a functionality of Kanji Auto Detect, so it's convenient 
to use with some Kanji-code converter such as \fInkf\fP(1).

If you have the TeX(dvi) preview and printing-out system, 
\fIdviout\fP(1) and \fIdviprt\fP(1), you will feel happy.

.\"----------------
.SH RELEASE POLICY
.\"----------------
Version 0.97 takes the following Release Policy:

1) [re]distribute, copy, and/or modify the source code
.IP
Under the GNU General Public Lisence, you can do these things freely.
.LP

2) use (execute) the software
.IP
7 days trial are allowed.
If you (continuously) use nc-html2latex over 7 days, 
you must pay the following fee.
.PD
.RS
.ta 16
.ie n .TP 29
.el .TP 29
    commercial use ... $250
.PD 0
.TP
    personal use .....  $25
.TP
    academic use .....  $10 (no charge under 22 years old)
.PD
.RE
.LP
To pay the fee, please use the 'international money order'.
'Traveller's Cheque's with your signature, are also acceptable.

If you live in the one of these nations:

.IP
UK, Italy, Austria, Netherland, Korea, Switzerland, Spain, 
Denmark, Germany, Norwaym Finland, France, Bergium, Madagascal, 
Morocco and Luxemburg
.LP

(maybe) you can transfer money to my account (in Japan) directly.
.IP
[Japan Post] 00910\-1\- 98355  "Software\-Koubou, NAOCHAN.COM"
.LP

My current address:
.IP
(3\-1\-13\-3B Uchikyuhoji\-machi, Chuo\-ku, Osaka\-city, 540 JAPAN)
.LP
might be changed in a few months.

When you have transfered your fee, please tell me by e-mail.
I will tell you your registration number.

Once you registrated, I will send some information by e-mail, when 
nc-html2latex updates. If you don't want this information, please 
tell me when you pay.

.\"-------------------------
.SH DEVELOPMENT ENVIRONMENT
.\"-------------------------
Developed by yacc, lex and C languages.

Before version 0.91, I 'make'd it with 
\fIbison\fP (GNU version of \fIyacc\fP(1)) + flex,

After version 0.92, I 'make' with Berkeley version of \fIyacc\fP.

Developed on DEC HiNote CT475 + Linux 2.0.27.

.\"-------------
.SH BUG REPORTS
.\"-------------
If you find a bug in
.B nc\-html2latex,
you should report it to me <\fInaochan@naochan.com\fP>.
But first, you should make sure that it really is a bug, and that it appears 
in the latest version of
.B nc\-html2latex
that you have.
.PP
ALL bug reports should include:
.PP
.PD 0
.TP 20
- Version of \fBnc\-html2latex\fP (please use the option \fB-v\fP.)
.TP
- Hardware and OS
.TP
- Troubled HTML document
.TP
- Debug Information (with \fB-d\fP option, comes from stderr.)
.PD
.PP
I cannot ensure rapid responses,
nor making your opinion into the next version of \fBnc\-html2latex\fP.

.\"------------
.SH DISCLAIMER
.\"------------
.B nc\-html2latex
is distributed with *no warranty* whatever. 
And there is *no* user-support services.
The author and any other contributors take no responsibility for 
the consequences of its use.

Although \fBnc\-html2latex\fP has been tested it may have errors that will
prevent it from working correctly on your system.  Some of these 
errors may cause serious problems including loss of data, etc.

The grammer of HTML (or its usage) may differ between browsers, and
there are so many religions about LaTeX layout. So I cannot follow
everyone's tendencies.

In current version, I don't consider much about robustness of
when managing 'grammatically incorrect' HTML files.

.\"------
.SH BUGS
.\"------
This man page is translated (by me) from Japanese manual (also by me).
I translated this rapidly (in 2.5 hours), 
and many bugs may be involved in this manual.
If you find them, please e-mail me!

.\"-----------
.SH COPYRIGHT
.\"-----------
.B nc\-html2latex
is Copyright (c) 1997 Naoya Tozuka. All rights reserved.

.\"--------------------
.SH NEWEST INFORMATION
.\"--------------------
The newest information about nc\-html2latex might be in:
.IP
http://www.naochan.com/nc/it/soft/nc\-html2latex/index\-en.html
.LP
in English.
(Japanese information is in the same directory, index-jp.html.)

.\"------------
.SH "SEE ALSO"
.\"------------
.PD 0
.TP
\fIlatex\fP(1),
.TP
\fIgiftopnm\fP(1), \fIpnmtops\fP(1)
.PD

.\"--------
.SH AUTHOR
.\"--------
Naoya TOZUKA <\fInaochan@naochan.com\fP>

